[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TIPC_Perm

Record used in all IPC systems to specify the permissions.

## Declaration

Source position: ipc.pp line 135

`type TIPC_Perm = record`
`key: TKey;` |  | key used to create resource
`uid: kernel_uid_t;` |  | Owner user ID
`gid: kernel_gid_t;` |  | Owner group id
`cuid: kernel_uid_t;` |  | Creator user ID
`cgid: kernel_gid_t;` |  | Creator group ID
`mode: kernel_mode_t;` |  | Creation Mode
`seq: cushort;` |  | ?
`end;`

## Description

TIPC_Perm is used in all IPC systems to specify the permissions. It should never be used directly.

Documentation generated on: Feb 26 2014